Package: groovy.org.codenarc.rule.generic

## [Groovy] Class IllegalClassMemberRule

- groovy.org.codenarc.rule.generic.IllegalClassMemberRule

- Checks for classes containing fields/properties/methods matching configured illegal member modifiers.

  Authors:
    Chris Mair

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected Collection<Integer>` | `allowedFieldModifiersList` |
    `protected String` | `allowedFieldModifiersString` |
    `protected Collection<Integer>` | `allowedMethodModifiersList` |
    `protected String` | `allowedMethodModifiersString` |
    `protected Collection<Integer>` | `allowedPropertyModifiersList` |
    `protected String` | `allowedPropertyModifiersString` |
    `protected Collection<Integer>` | `illegalFieldModifiersList` |
    `protected String` | `illegalFieldModifiersString` |
    `protected Collection<Integer>` | `illegalMethodModifiersList` |
    `protected String` | `illegalMethodModifiersString` |
    `protected Collection<Integer>` | `illegalPropertyModifiersList` |
    `protected String` | `illegalPropertyModifiersString` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Class` | `astVisitorClass`
    `String` | `ignoreMethodNames`
    `String` | `ignoreMethodsWithAnnotationNames`
    `String` | `name`
    `int` | `priority`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `boolean` | `isReady()`
    `` | `void` | `setAllowedFieldModifiers(String allowedFieldModifiers)`
    `` | `void` | `setAllowedMethodModifiers(String allowedMethodModifiers)`
    `` | `void` | `setAllowedPropertyModifiers(String allowedPropertyModifiers)`
    `` | `void` | `setIllegalFieldModifiers(String illegalFieldModifiers)`
    `` | `void` | `setIllegalMethodModifiers(String illegalMethodModifiers)`
    `` | `void` | `setIllegalPropertyModifiers(String illegalPropertyModifiers)`

- - ### Field Detail

    - #### protected Collection<Integer> allowedFieldModifiersList

    - #### protected String allowedFieldModifiersString

    - #### protected Collection<Integer> allowedMethodModifiersList

    - #### protected String allowedMethodModifiersString

    - #### protected Collection<Integer> allowedPropertyModifiersList

    - #### protected String allowedPropertyModifiersString

    - #### protected Collection<Integer> illegalFieldModifiersList

    - #### protected String illegalFieldModifiersString

    - #### protected Collection<Integer> illegalMethodModifiersList

    - #### protected String illegalMethodModifiersString

    - #### protected Collection<Integer> illegalPropertyModifiersList

    - #### protected String illegalPropertyModifiersString

  - ### Property Detail

    - #### Class astVisitorClass

    - #### String ignoreMethodNames

    - #### String ignoreMethodsWithAnnotationNames

    - #### String name

    - #### int priority

  - ### Method Detail

    - #### @Override boolean isReady()

    - #### void setAllowedFieldModifiers(String allowedFieldModifiers)

    - #### void setAllowedMethodModifiers(String allowedMethodModifiers)

    - #### void setAllowedPropertyModifiers(String allowedPropertyModifiers)

    - #### void setIllegalFieldModifiers(String illegalFieldModifiers)

    - #### void setIllegalMethodModifiers(String illegalMethodModifiers)

    - #### void setIllegalPropertyModifiers(String illegalPropertyModifiers)